﻿Type=Service
Version=4
ModulesStructureVersion=1
B4A=true
@EndOfDesignText@
#Region  Service Attributes 
	#StartAtBoot: False
	#StartCommandReturnValue: android.app.Service.START_STICKY
#End Region

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
	Dim PhoneId As PhoneId
	Dim PE As PhoneEvents
	Dim sensor As PhoneSensors
	Dim timer1, timer2 As Timer
	Dim gVibrate As PhoneVibrate
End Sub
Sub Service_Create
	PE.InitializeWithPhoneState("PE", PhoneId)
	sensor.Initialize(sensor.TYPE_ACCELEROMETER)
    Shake.CallBackActivity = "svWakeup" ' 指定處理搖晃事件的活動
	timer1.Initialize("Timer1", 500)
	timer2.Initialize("Timer2", 500)
End Sub

Sub Service_Start (StartingIntent As Intent)
	sensor.StartListening("sensor")
End Sub

Sub Service_Destroy

End Sub
Sub PE_ScreenOff (Intent As Intent)
	'ToastMessageShow("Screen is OFF",True)
	timer1.Enabled =True
End Sub
Sub Timer1_Tick
	timer1.Enabled=False
	sensor.StopListening
	'Common.Sleep(500) 
	'sensor.StartListening("sensor")
	sensor.StartListening("sensor")
End Sub
Sub PE_ScreenOn (Intent As Intent)
	ToastMessageShow("Screen is ON",False)
	
End Sub
Sub sensor_SensorChanged(Values() As Float)
	
    Shake.HandleSensorEvent(Values)
End Sub
Sub ShakeEvent
Dim s0,s1 As String 

    gVibrate.Vibrate (390)
	ToastMessageShow("ShakeEvent", True)
	timer2.Enabled =True
	'btnSave_Click 在此直接run會當機
'	Activity.Color=Colors.Black 
'	chkLongMode.Checked =True
'	clv.Show (False)
End Sub
Sub Timer2_Tick
	timer2.Enabled =False
	CallSubDelayed(Main, "btnSave_Click")
End Sub
